%define section   free

Name:           joesnmp
Version:        0.3.3
Release:        1jpp
Epoch:          0
Summary:        Java SNMP class library 

Group:          Development/Libraries/Java
License:        LGPL
URL:            http://sourceforge.net/projects/joesnmp/
Source0:        joesnmp-0.3.3.zip
Patch0:		joesnmp-0.3.3-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
Requires:  jpackage-utils >= 0:1.6

%description
joeSNMP is an open-source Java SNMP class library 
published under the LGPL.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q 
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant-launcher"
export CLASSPATH=$(build-classpath \
ant \
ant-launcher \
)
ant -Dfilters.noload=true

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 output/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp docs/FAQ.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/*.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog

* Wed Nov 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.3.3-1jpp
- Upgrade to 0.3.3
- snmptrapappender and jboss4 rebuild OK
- add postun for javadoc

* Fri Dec 03 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.3.2-1jpp
- Upgrade to 0.3.2 because jboss-3.2.6 needs it

* Thu Aug 12 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.3.0-1jpp
- Upgrade to 0.3.0 from cvs because jboss-3.2.5 needs it

* Wed Jul 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2.6-1jpp
- First JPackage release

